r"""
=======================================================================================
 ____          ____    __    ______     __________   __      __       __        __
 \    \       |    |  |  |  |   _   \  |___    ___| |  |    |  |     /  \      |  |
  \    \      |    |  |  |  |  |_)   |     |  |     |  |    |  |    /    \     |  |
   \    \     |    |  |  |  |   _   /      |  |     |  |    |  |   /  /\  \    |  |
    \    \    |    |  |  |  |  | \  \      |  |     |   \__/   |  /  ____  \   |  |____
     \    \   |    |  |__|  |__|  \__\     |__|      \________/  /__/    \__\  |_______|
      \    \  |    |   ________________________________________________________________
       \    \ |    |  |  ______________________________________________________________|
        \    \|    |  |  |         __          __     __     __     ______      _______
         \         |  |  |_____   |  |        |  |   |  |   |  |   |   _  \    /  _____)
          \        |  |   _____|  |  |        |  |   |  |   |  |   |  | \  \   \_______
           \       |  |  |        |  |_____   |   \_/   |   |  |   |  |_/  /    _____  |
            \ _____|  |__|        |________|   \_______/    |__|   |______/    (_______/

  This file is part of VirtualFluids. VirtualFluids is free software: you can
  redistribute it and/or modify it under the terms of the GNU General Public
  License as published by the Free Software Foundation, either version 3 of
  the License, or (at your option) any later version.

  VirtualFluids is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
  for more details.

  You should have received a copy of the GNU General Public License along
  with VirtualFluids (see COPYING.txt). If not, see <http://www.gnu.org/licenses/>.

! \file poiseuille_hpc.py
! \ingroup poiseuille
! \author Sven Marcus, Henry Korb
=======================================================================================
"""
from poiseuille.simulation import run_simulation
from pyfluids import cpu

grid_parameters = cpu.prameters.GridParameters()
grid_parameters.number_of_nodes_per_direction = [64, 64, 512]
grid_parameters.node_distance = 1
grid_parameters.blocks_per_direction = [1, 2, 2]

physical_parameters = cpu.prameters.PhysicalParameters()
physical_parameters.lattice_viscosity = 0.0005

runtime_parameters = cpu.prameters.RuntimeParameters()
runtime_parameters.number_of_threads = 4
runtime_parameters.number_of_timesteps = 1000
runtime_parameters.timestep_log_interval = 100

run_simulation(physical_parameters, grid_parameters, runtime_parameters)